commit:     b1d04b1cb2b52e7dc8dbefa01657c53aef0f74ca
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 15 06:03:51 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 15 08:23:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1d04b1c

dev-python/sphinx-gallery: Bump to 0.13.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinx-gallery/Manifest                 |  1 +
 .../sphinx-gallery/sphinx-gallery-0.13.0.ebuild    | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/sphinx-gallery/Manifest 
b/dev-python/sphinx-gallery/Manifest
index 0b02f9eae583..704fc9a13a8c 100644
--- a/dev-python/sphinx-gallery/Manifest
+++ b/dev-python/sphinx-gallery/Manifest
@@ -1 +1,2 @@
 DIST sphinx-gallery-0.12.2.tar.gz 402524 BLAKE2B 
c872ec403adf150df540253b996e35f5d99dae17a884fad8e6a79a9b08934228e22c2b830d79cbe08cf43889738b2f0f8aa8e582851a993584d59d36adb6ced2
 SHA512 
c56c84ab7e4c55686b1c83791c46a83f3887c5c3a19da89baeba8aba874663d1dc4718534fadb11d3d95197c34ee9b78884095e2caeee4f58a9b0d4bba26d5d2
+DIST sphinx-gallery-0.13.0.tar.gz 403284 BLAKE2B 
fac67eab0c49a756f4b73b05434c80b5876d241afae66bfd4d2f50b5ffb715f03da3e87146531c90632ecef0d092c5d087c3ada0d01a6df21c8032b3b60d1890
 SHA512 
26168e25ff46a34d7cf1d2d70e59d5e81bab6e57ec497f2a6e55e5356fb832b8fefc5a19976cc4fb495fdc1ef8b44a33de93cc7a6f376f72c9dbcaa94ed723ef

diff --git a/dev-python/sphinx-gallery/sphinx-gallery-0.13.0.ebuild 
b/dev-python/sphinx-gallery/sphinx-gallery-0.13.0.ebuild
new file mode 100644
index 000000000000..fb10706de391
--- /dev/null
+++ b/dev-python/sphinx-gallery/sphinx-gallery-0.13.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extension to automatically generate an examples gallery"
+HOMEPAGE="
+       https://github.com/sphinx-gallery/sphinx-gallery/
+       https://sphinx-gallery.github.io/
+       https://pypi.org/project/sphinx-gallery/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       dev-python/matplotlib[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+       dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/joblib[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e 's:--cov-report= --cov=sphinx_gallery::' setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+EPYTEST_DESELECT=(
+       # Internet
+       sphinx_gallery/tests/test_docs_resolv.py::test_embed_code_links_get_data
+       sphinx_gallery/tests/test_full.py::test_run_sphinx
+       sphinx_gallery/tests/test_full.py::test_embed_links_and_styles
+       # require jupyterlite_sphinx
+       sphinx_gallery/tests/test_full.py
+       sphinx_gallery/tests/test_full_noexec.py
+       
sphinx_gallery/tests/test_gen_gallery.py::test_create_jupyterlite_contents
+       
sphinx_gallery/tests/test_gen_gallery.py::test_create_jupyterlite_contents_non_default_contents
+       
sphinx_gallery/tests/test_gen_gallery.py::test_create_jupyterlite_contents_with_jupyterlite_disabled_via_config
+)

Reply via email to